<?php

include("configuracao.php");//confirma no bando de dados
// Inclui o arquivo com o sistema de segurança
include("seguranca.php");
include("inclusos/funcoes.php");

// Verifica se um formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
// Salva duas variáveis com o que foi digitado no formulário
// Detalhe: faz uma verificação com isset() pra saber se o campo foi preenchido
$usuario = (isset($_POST['usuario'])) ? $_POST['usuario'] : '';
$senha = (isset($_POST['senha'])) ? $_POST['senha'] : '';



//VERIFICA SE É PRIMEIRO ACESSO PARA MUDAR A SENHA
if($senha == "1234"){
$SelecionaCpf = Seleciona("usuarios", "WHERE usuario='$usuario' AND senha='$senha'", "LIMIT 0,1");
$TotalUsuarios = mysql_num_rows($SelecionaCpf);


if($TotalUsuarios > 0 ){	
while($verifica = mysql_fetch_array($SelecionaCpf)){
	$Senha_Atual = 	$verifica['senha'];
	$Cpf_Atual = 	$verifica['cpf'];
}

if($Senha_Atual == "1234"){

		echo"
		<script type=\"text/Javascript\">
		alert(\"Por favor alterar sua senha!\");
		window.location = '".$DiretorioVirtual."mudar_senha.php?usuario=".$usuario."&cpf=".$Cpf_Atual."';</script>";
		die;	
	
}
}
}

if($_GET['AlterarSenha'] == "sim"){
$cpf = (isset($_POST['cpf'])) ? $_POST['cpf'] : '';
//echo $usuario;

//VERIFICAR SE DADOS ESTÃO VALIDOS

$SelecionaCpf = Seleciona("usuarios", "WHERE usuario='$usuario' AND cpf='$cpf'", "LIMIT 0,1");
$TotalUsuarios = mysql_num_rows($SelecionaCpf);
if($TotalUsuarios > 0 ){	
$campos_alterar = "senha='$senha'";
$atualizar = Alterar("usuarios", $campos_alterar, "cpf", $cpf);	
}else{
echo"
<script type=\"text/Javascript\">
window.location = '".$DiretorioVirtual."login.php?Aviso=CpfErrado';</script>";
die;		
}
}



// Utiliza uma função criada no seguranca.php pra validar os dados digitados
if (validaUsuario($usuario, $senha) == true) {
// O usuário e a senha digitados foram validados, manda pra página interna
header("Location: ".$DiretorioVirtual."index.php");
} else {
// O usuário e/ou a senha são inválidos, manda de volta pro form de login
// Para alterar o endereço da página de login, verifique o arquivo seguranca.php
expulsaVisitante();
}
}

?>